from eventAPI import *
from APIUtils import *

def fireEvent(e):
   if (getTag(e, "lFlagU") != 0):
      return 1
   else:
      showMessage(e, ["Don't walk here!",
                      "","...","","...","","...","","Too late..."])
      setTag(e, "lFlagU", 1)
      return 1
